Bug 1241163 (CVE-2015-3250)

Summary: CVE-2015-3250 apacheds-ldap-client: Timing Attack vulnerability
Product: [Other] Security Response Reporter: Vasyl Kaigorodov <vkaigoro>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: java-sig-commits, puntogil
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Apache Directory LDAP API 1.0.0-M31 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-09-19 09:39:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1241165    
Bug Blocks:    

Description Vasyl Kaigorodov 2015-07-08 15:40:16 UTC
Apache Directory LDAP API version 1.0.0-M31 fixes an unspecified timing attack vulnerability.

External References:

http://directory.apache.org/api/#news

Comment 1 Vasyl Kaigorodov 2015-07-08 15:42:05 UTC
Created apacheds-ldap-client tracking bugs for this issue:

Affects: fedora-all [bug 1241165]

Comment 2 gil cattaneo 2015-07-08 15:45:35 UTC
(In reply to Vasyl Kaigorodov from comment #1)
> Created apacheds-ldap-client tracking bugs for this issue:
> 
> Affects: fedora-all [bug 1241165]

NOT upgradable use org.osgi:org.osgi.core:6.0.0 (not free)
because use OSGi Specification License
This package does have a license (http://www.osgi.org/Main/OSGiSpecificationLicense)
that is not allowed in Fedora because it forbids modifications.
http://fedoraproject.org/wiki/Licensing#Bad_Licenses

If is available a patch i glad to apply

Comment 3 gil cattaneo 2015-07-08 16:27:04 UTC
Maybe is only for the 1.0.0 series? I haven't found any documentation which include the package available in our repos.

Comment 4 gil cattaneo 2015-07-09 13:49:18 UTC
Seem affected only the 1.0.0 releases
http://mail-archives.us.apache.org/mod_mbox/www-announce/201507.mbox/%3CCAG8=FRj5sL+J6YUJqY95uBJN=vxtS=rWfngAfHk4k2vyShadHw@mail.gmail.com%3E
i close rhbz#1241165 , if there aren't objections